Smart Proxy - Feature #4917

Smart-Proxy Realm Provider for Active Directory
03/27/2014 06:31 PM - Stephen Benjamin

Status: Resolved
Priority: Normal
Assignee: Timo Goebel
Category: Realm

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1216017 Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro

xy/pull/557,

https://github.com/theforeman/puppet-for
eman_proxy/pull/396

Description
Add realm provider to support generating one-time passwords for Active Directory membership (via adcli)
More info:

http://projects.theforeman.org/projects/foreman/wiki/Realmdoinintegration
http:/fedoraproject.org/wiki/Features/ActiveDirectory

Related issues:

Related to Smart Proxy - Feature #1809: Smart-Proxy control of IPA Server Closed 08/06/2012
Related to Smart Proxy - Feature #17500: Introduce providers for realm module Closed 11/28/2016
Related to Foreman - Feature #31610: Complete ActiveDirectory realm support New

History

#1 - 03/27/2014 06:32 PM - Stephen Benjamin
- Related to Feature #1809: Smart-Proxy control of IPA Server added

#2 - 03/27/2014 06:53 PM - Dominic Cleal
- Project changed from Foreman to Smart Proxy

- Category changed from Smart Proxy to Realm

#3 - 04/02/2014 03:29 PM - Dominic Cleal

- Tracker changed from Bug to Feature

#4 - 08/18/2015 09:47 AM - Philipp Wagner

I have a need for this and gave it a try. See the code here: https:/github.com/theforeman/smart-proxy/compare/develop...imphil:realm-ad?expand=1

It's an initial RFC showing the basic idea, and some of the problems.

What works:
- Precreate computer accounts in the directory
- Domain-specific settings for the account attributes

Missing features:
- Rebuilding computer accounts
- Deleting computer accounts

The most problematic part is currently the tool used to perform the AD operations. Essentially | know of two options: msktutil and adcli. Both have
problems (at least in our setup). adcli does not work at all due to auth issues and does not allow to specify the computer name (netbios name)
independently of the hostname (which is required in our setup). msktutil works great, but doesn't have the ability to delete or reset accounts (for
rebuild). So currently | use msktutil to create the accounts, and everything else needs to be done manually. | have, however, bug reports open with
msktutil and adcli to fix those problems, let's see how this goes.

Open questions at the moment are (it's a RFC after all :)):
http://projects.theforeman.org/projects/foreman/wiki/RealmJoinIntegration
http://fedoraproject.org/wiki/Features/ActiveDirectory
https://github.com/theforeman/smart-proxy/compare/develop...imphil:realm-ad?expand=1

a) Is the general approach OK with you?

b) You can see, there are some very specific settings required for our setup, and I'm sure others have similar ones. Do you think it makes sense to
support all that directly in the smart proxy (as I've tried to do), or should we instead just call a 3rd-party script (and deliver a default one) which
handles the account creation, which the admin can override?

c) Anything else?

#5 - 11/18/2015 08:31 AM - Stephen Benjamin

- Bugzilla link set to 1216017

#6 - 11/18/2015 08:37 AM - Stephen Benjamin
Oh hi, sorry | missed this. This is great, thanks!
The best way to get comments would to get a PR open.

My personal preference would be adcli, as it supports the missing features you need, being able to rebuild is somewhat important, but we could
discuss it on GitHub. We could always start with rudimentary support and improve it later, or end up using both utilities.

Do you have to have links to the issues you opened on the two projects?

#7 - 11/28/2016 06:06 AM - Anonymous

- Related to Feature #17500: Introduce providers for realm module added

#8 - 12/08/2016 02:16 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/smart-proxy/pull/480 added

#9 - 12/29/2017 10:35 AM - Timo Goebel
- Status changed from Ready For Testing to New
- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/480)

PR was closed.

#10 - 12/29/2017 11:30 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/smart-proxy/pull/557 added

#11 - 01/02/2018 10:53 AM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/396 added

#12 - 01/29/2018 12:52 PM - Ewoud Kohl van Wijngaarden

Now that it's a plugin and integrated into the installer, can we consider this fixed?

#13 - 01/30/2018 07:14 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Resolved

#14 - 01/12/2021 12:17 AM - Ondrej Ezr
- Related to Feature #31610: Complete ActiveDirectory realm support added
